<%@ page language="C#" autoeventwireup="true" inherits="_school_J1_TeacherInfoImport, App_Web_j1_teacherinfoimport.aspx.cc418459" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />

    <script language="javascript" src="../window/jquery/jquery.min.js" type="text/javascript"></script>

    <script language="javascript" src="../window/jquery-ui/jquery-ui.min.js" type="text/javascript"></script>

    <script language="javascript" src="../window/message/jquery.message.js" type="text/javascript"></script>

    <script language="javascript" src="../window/TableRowFocus/jquery.RowFocus.js" type="text/javascript"></script>
        
    <script language="javascript" src="../window/load/jquery.load.js" type="text/javascript"></script>

    <script language="javascript" src="../window/form/jquery.form.js" type="text/javascript"></script>

    <script language="javascript" src="../window/StringBuilder/StringBuilder.js" type="text/javascript"></script>

    <link href="../window/_css/jquery-ui.custom.css" rel="stylesheet" type="text/css" />
    <link href="../window/_css/window.css" rel="stylesheet" type="text/css" />
    <link href="../css/listpage.css" rel="stylesheet" type="text/css" />
    <title>学校教师业绩列表</title>

    <script language="javascript" type="text/javascript">

    $(function(){
        $("#btnExcal").click(function(){
            
            load("教师信息导入中...");
            $("#form2").ajaxSubmit(
                { 
                        dataType:  'json', 
                        success:function(data){
                             unload();
                             if(data.state==1){
                                var rows = data.value;
                                var sb = new StringBuilder();
                                for(var i in rows){
                                    sb.append("<tr class='gvRow' >");
                                    sb.append(String.format("<td>{0}</td>",rows[i].sl_name));
                                    sb.append(String.format("<td>{0}</td>",rows[i].tb_name));
                                    sb.append(String.format("<td>{0}</td>", rows[i].tb_sex));
                                    sb.append(String.format("<td>{0}</td>", rows[i].tb_birth));
                                    sb.append(String.format("<td>{0}</td>",rows[i].tb_nation));
                                    sb.append(String.format("<td>{0}</td>",rows[i].tb_idNumber));
                                    sb.append(String.format("<td>{0}</td>",rows[i].de_name));
                                    sb.append(String.format("<td>{0}</td>",rows[i].tb_eg_school));
                                    sb.append(String.format("<td>{0}</td>",rows[i].final_deName));
                                    sb.append(String.format("<td>{0}</td>",rows[i].tb_fg_school));
                                    sb.append(String.format("<td>{0}</td>",rows[i].mr_name));
                                    sb.append(String.format("<td>{0}</td>",rows[i].mr_name2));
                                    sb.append(String.format("<td>{0}</td>",rows[i].fmr_name));
                                    sb.append(String.format("<td>{0}</td>",rows[i].tb_workTime));
                                    sb.append(String.format("<td>{0}</td>",rows[i].te_name));
                                    sb.append(String.format("<td>{0}</td>",rows[i].state ));
                                    sb.append("</tr>");
                                }
                                $("#ViewData").children("tbody").html(sb.tostring());
                                message(String.format("共导入{0}行 教师基本信息",data.count));
                             }else{
                                message(data.value,1);
                             }
                        },
                        error: function() {unload(); message("错误 导入失败！",1); return false; } 
                }
            );
            
        });
   
        
    });

    </script>

    <style type="text/css">
<!--
.center {
	text-align: center;
}
-->
</style>
</head>
<body>
   <form id="form2" method="post" enctype="multipart/form-data"  action="J1_TeacherInfoImport.aspx">
        <div class="ui-widget-header " style="padding: .4em 1em; margin:2px">
            <span class="ui-dialog-title" >教师基本信息导入</span>
        </div>
         <div class="panel">
                选择EXCAL文件：<input id="FileUpload"  name="excalFile" type="file" />
                <input id="btnExcal" type="button" value="执行导入" />模板：
  
                <a href="../_school/教师基本信息导入模板.xls" style="color:Brown">教师基本信息导入模板.xls</a>
                <br />
                *导入文件不能大于2M
         </div>
          
        <div class="panel">
        <table class="gv" cellspacing="0" rules="all" border="1" id="ViewData" style="background-color:White;width:100%;border-collapse:collapse;">
        <thead>
        <tr class="gvHeader">
			<th scope="col">所在学校</th><th scope="col">教师姓名</th><th scope="col">性别</th><th scope="col">出生年月</th><th scope="col">民族</th><th scope="col">身份证号码</th><th scope="col">入职学历</th><th scope="col">入职毕业学校</th><th scope="col">最终学历</th><th scope="col">最终毕业学校</th><th scope="col">入职所学专业</th><th scope="col">入职所学专业(2)</th><th scope="col">最终所学专业</th><th scope="col">参加工作时间</th><th scope="col">职称</th><th scope="col">状态</th>
		</tr>
        
        </thead>
         
        <tbody>
        
        </tbody>
		</table>
		</div>
 </form> 
</body>
</html>
<!--powered by 25175-->
